<?php
namespace Claromentis\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_a4a1018258adab" . "b74e7b04836d8d7" . "e3b" => base64_decode("Tm90IEZv" . "dW5k"), "_c894747360c" . "6ec5bd816953" . "0eaf9c473" => base64_decode("QmFkIFJlcXV" . "lc3Q="), "_437d31f3" . "e369eaf52" . "112df78da" . "5beabb" => base64_decode("T25Fc" . "nJvcg" . "=="));
use Claromentis\Core\Repository\Exception\NotFoundException;
use Claromentis\Core\Repository\Exception\UnsupportedTypeException;
use Claromentis\Core\Application;
use Symfony\Component\HttpKernel\Event\ExceptionEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class RestExceptionHandler
{
    
    
    
    
    private $app;
    
    
    
    
    public function __construct(Application $app)
    {
        $this->app = $app;
    }
    
    
    
    
    public function OnError(ExceptionEvent $event)
    {
        $_fe441aa3ef350bfb1a1a1ad8520dd530 = $event->getThrowable();
        if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof NotFoundException) {
            $event->setThrowable(new \RestExNotFound($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a4a1018258a" . "dabb74e7b048" . "36d8d7e3b"], $_fe441aa3ef350bfb1a1a1ad8520dd530));
            return;
        }
        if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof UnsupportedTypeException) {
            $event->setThrowable(new \RestExBadRequest($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c894747360c6" . "ec5bd8169530e" . "af9c473"], $_fe441aa3ef350bfb1a1a1ad8520dd530));
            return;
        }
    }
    
    
    
    
    public function register()
    {
        $this->app->on(KernelEvents::EXCEPTION, array($this, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_437d31f3e369eaf52112df78da5be" . "abb"]), 32);
        
        
    }
    public function unregister()
    {
        
        
    }
}